Xerces2 Implementation: Class XPath.LocationPath

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xpath
Class XPath.LocationPath

    java.lang.Object
      |
      +--org.apache.xerces.impl.xpath.XPath.LocationPath

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  XPath

public static class XPath.LocationPath
extends java.lang.Object
implements java.lang.Cloneable

A location path representation for an XPath expression.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Andy Clark, IBM

Field Summary
`XPath.Step[]` | `steps` List of steps.

Constructor Summary
`protected` | `XPath.LocationPath(XPath.LocationPath path)` Copy constructor.
`` | `XPath.LocationPath(XPath.Step[] steps)` Creates a location path from a series of steps.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### steps

    public final XPath.Step[] steps

  List of steps.

Constructor Detail

### XPath.LocationPath

    public XPath.LocationPath(XPath.Step[] steps)

  Creates a location path from a series of steps.

### XPath.LocationPath

    protected XPath.LocationPath(XPath.LocationPath path)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Returns a clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.